Subject: RE: 4.2.5 Register Re: General Comments on the SIP Protocol

From: Yaron Goland <[email-masked]>
Date: Sat, 2 May 1998 19:54:01 -0700

I actually think leaving the matter undefined is best. 

I refer you to my previous response on this subject where I suggest a simple
language modification that should clarify the issue. 

Unfortunately the MMUSIC mailing archive uses a flat file rather than one of
the more modern HTML based formats so I can't give you a URL to that
particular e-mail. Roy Fielding ([email-masked])uses such a program at
UCI, you may want to contact him to find out how this mailing list can be
switched to that format so that references will be easier in the future.

	Thanks,

			Yaron

> -----Original Message-----
> From: Henning Schulzrinne [mailto:[email-masked]]
> Sent: Saturday, May 02, 1998 10:16 AM
> To: Yaron Goland
> Cc: 'Lewis McCarthy'; MMUSIC List
> Subject: Re: 4.2.5 Register Re: General Comments on the SIP Protocol
> 
> 
> Three possibilities:
> 
> (1) Announce key in Response-Key in some kind of registrar 
> advertisement
> message (to be defined).
> 
> (2) Two-step registration: REGISTER first with no information, get key
> and then register again including sensitive information (such as CPL).
> One possibility:
> 
> C->S: REGISTER
> 
> S->C: 401 Unauthorized
>       WWW-Authenticate: ... publickey="..."
> 
> C->S: REGISTER
>       Authorization: ...
> 
> [Encrypted using the public key.]
> 
> (3) Out-of-band.
> 
> (1) and (2) are preferable, but (1) overlaps with server location
> functionality.
>